Contents

# Red Function

Returns the Red component of the specified composite colour code.

### Syntax:

    Red (ColourNumber As Long)

### Return type:

Integer

### Parameters:

ColourNumber: Long integer expression that specifies any composite colour code for which to return the Red component.

Under VBA compatibility mode (Option VBASupport 1), the function Red() is incompatible with VBA colours, when colour from previous call to function RGB [VBA] is passed.

### Error codes:

5 Invalid procedure call

The colour picker dialogue box details the red, green and blue components of a composite colour code, as well as its hexadecimal expression. Changing the colour of text and selecting Custom colour displays the colour picker dialogue box.

### Example:

    Sub ExampleColor
    Dim lVar As Long
        lVar = rgb(128,0,200)
        MsgBox "The colour " & lVar & " consists of:" & Chr(13) &_
            "red= " & red(lVar) & Chr(13)&_
            "green= " & green(lVar) & Chr(13)&_
            "blue= " & blue(lVar) & Chr(13), 64,"colours"
    End Sub

Please support us!